Summary:	Touch Typing Tutor
Name:     	klavaro
Version:	1.3.1
Release:	%mkrel 2
License:	GPLv2+
Group:		Education
Source0: 	http://dfn.dl.sourceforge.net/sourceforge/klavaro/%name-%version.tar.bz2
URL:		http://klavaro.sourceforge.net
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot
Suggests:	wget
BuildRequires:	gtk+2-devel
BuildRequires:	gtkdatabox-devel
BuildRequires:	libsexy-devel
BuildRequires:	curl-devel

%description
Klavaro is just another free touch typing tutor program. We felt like to
do it because we became frustrated with the other options, which relied
mostly on some few specific keyboards. Klavaro intends to be keyboard
and language independent, saving memory and time (and money).

%prep
%setup -q

%build
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%{find_lang} %{name}

mkdir -p %buildroot%_datadir/applications/
cat > %buildroot%_datadir/applications/mandriva-%{name}.desktop <<EOF
[Desktop Entry]
Type=Application
Exec=%_bindir/%name
Name=Klavaro
Comment=Touch Typing Tutor
Icon=klavaro
Categories=Education;ComputerScience;GTK;
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-, root, root)
%{_bindir}/*
%{_datadir}/%name
%{_datadir}/applications/*.desktop
%{_iconsdir}/*/*/*/*
%{_mandir}/man1/*.1.*


%changelog
* Thu Oct 08 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 1.3.1-2mdv2010.0
+ Revision: 455873
- rebuild for new curl SSL backend

* Mon Sep 14 2009 Frederik Himpe <fhimpe@mandriva.org> 1.3.1-1mdv2010.0
+ Revision: 440694
- update to new version 1.3.1

* Mon Aug 03 2009 Frederik Himpe <fhimpe@mandriva.org> 1.2.2-1mdv2010.0
+ Revision: 408489
- update to new version 1.2.2

* Tue Jun 16 2009 Frederik Himpe <fhimpe@mandriva.org> 1.2.1-1mdv2010.0
+ Revision: 386426
- update to new version 1.2.1

* Wed May 20 2009 Funda Wang <fundawang@mandriva.org> 1.2.0-1mdv2010.0
+ Revision: 377895
- update tarball
- add BR
- New version 1.2.0

* Sat May 02 2009 Frederik Himpe <fhimpe@mandriva.org> 1.1.9-1mdv2010.0
+ Revision: 370809
- update to new version 1.1.9

* Wed Dec 10 2008 Funda Wang <fundawang@mandriva.org> 1.1.8-1mdv2009.1
+ Revision: 312442
- br curl
- new version 1.1.8

* Sat Oct 18 2008 Frederik Himpe <fhimpe@mandriva.org> 1.1.7-1mdv2009.1
+ Revision: 295038
- update to new version 1.1.7

* Sun Oct 12 2008 Funda Wang <fundawang@mandriva.org> 1.1.6-1mdv2009.1
+ Revision: 292830
- update to new version 1.1.6

* Sun Sep 07 2008 Frederik Himpe <fhimpe@mandriva.org> 1.1.5-1mdv2009.0
+ Revision: 282104
- update to new version 1.1.5

* Sun Aug 17 2008 Funda Wang <fundawang@mandriva.org> 1.1.4-1mdv2009.0
+ Revision: 273096
- New version 1.1.4

* Tue Aug 12 2008 Funda Wang <fundawang@mandriva.org> 1.1.3-1mdv2009.0
+ Revision: 271217
- New version 1.1.3

* Thu Jul 31 2008 Funda Wang <fundawang@mandriva.org> 1.1.2-1mdv2009.0
+ Revision: 257073
- New version 1.1.2

* Sat Jun 28 2008 Funda Wang <fundawang@mandriva.org> 1.1.1-1mdv2009.0
+ Revision: 229725
- update to new version 1.1.1

* Tue Jun 17 2008 Funda Wang <fundawang@mandriva.org> 1.1.0-1mdv2009.0
+ Revision: 222090
- update to new version 1.1.0

* Mon Jun 16 2008 Funda Wang <fundawang@mandriva.org> 1.0.9-1mdv2009.0
+ Revision: 219566
- import klavaro


